/* Copyright  2007 by Christian Fuchsberger and Lukas Forer info@pedvizapi.org.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License <http://www.pedvizapi.org/gpl.txt>
 * for more details. 
 */

package ui.table;

/**
 * @author Luki
 */
public class TreeNodeData {
	private String caption = "";

	private int id;

	public TreeNodeData(String caption, int id) {
		setCaption(caption);
		setId(id);
	}

	public String toString() {
		return caption;
	}

	/**
	 * @return Returns the caption.
	 * @uml.property name="caption"
	 */
	public String getCaption() {
		return caption;
	}

	/**
	 * @param caption
	 *            The caption to set.
	 * @uml.property name="caption"
	 */
	public void setCaption(String caption) {
		this.caption = caption;
	}

	/**
	 * @return Returns the id.
	 * @uml.property name="id"
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id
	 *            The id to set.
	 * @uml.property name="id"
	 */
	public void setId(int id) {
		this.id = id;
	}
}